// #autoload
// #name = onaaz GUI
// #version = 1
// #date = January 26, 2003
// #author = Anakha,Brigadier- edited by onaaz
// #email = leo@extrusivedesign.com
// #web = www.extrusivedesign.com/
// #description = Will display selected bitmap on screen.
// #credit = Anakha, Brigadier

if(!(isObject(onaaGUI)))
{
	new scriptObject(onaaGUI)
	{
		class = onaaGUI;
	};
}

function onaaGUI::Create(%this)
{
	%this.Destroy();
	
	new GuiBitmapCtrl(onaazGui)
	{
	   profile = "GuiDefaultProfile";
	   horizSizing = "right";
	   vertSizing = "bottom";
	   position = "35 4";
	   extent = "976 75";
	   minExtent = "8 8";
	   visible = "1";
	   hideCursor = "0";
	   bypassHideCursor = "0";
	   helpTag = "0";
	   bitmap = "chat";
	   wrap = "0";
	};
    if (isObject(HM) && isObject(hudmover)) onaazGui.position = $hudposonaazGui;
	playGUI.add(onaazGui);
    playGui.bringToFront(onaazGui);
//  This removes sensor and clock.
    playGui.remove(ObjectiveHud);
    
}

function onaaGUI::Destroy(%this)
{
	playGui.remove(onaazGui);
	onaazGui.delete();
}

package onaaGUI
{
	function playGui::onWake(%this)
	{
        if(isObject(HudMover))
			hudmover::addhud(onaazGui, "onaazGui");
		parent::onWake(%this);
		if(!onaaGUI.created)
		{
			onaaGUI.schedule(1100, Create);
			brigsGUI.created = true;
		}
	}
};
activatePackage(onaaGUI);

